#include "PlainTextDocument.h"

PlainTextDocument::PlainTextDocument()
    : mContent()
{

}

std::unique_ptr<PlainTextDocument> PlainTextDocument::Create()
{
    return std::make_unique<PlainTextDocument>();
}

std::string PlainTextDocument::GetContent() const
{
    return mContent;
}

void PlainTextDocument::SetContent(const std::string& content)
{
    mContent = content;
}

void PlainTextDocument::Clear()
{
    mContent = "";
}
